package com.academiaandroid.contactos;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;

public class FragmentoLista extends Fragment {
	
	public Contacto[] contacto = new Contacto []
			{
				new Contacto("Fernando","Gonzlez","123456789","C/Filipinas"),
				new Contacto("Rosa","Surez","950264239","C/Mndez Nuez"),
			};
	private ListView listaContactosLV;
	private ContactoListener contactoListener;
	
	
	@Override
    public View onCreateView(LayoutInflater inflater,
                             ViewGroup container,
                             Bundle savedInstanceState) {
 
        return inflater.inflate(R.layout.fragment_lista_contactos, container, false);
    }
	
	@Override
    public void onActivityCreated(Bundle state) {
        super.onActivityCreated(state);
 
        listaContactosLV = (ListView)getView().findViewById(R.id.listContactos);        
        listaContactosLV.setAdapter(new AdapterListaContactos(this));
        
        listaContactosLV.setOnItemClickListener(new OnItemClickListener() {
        	@Override
            public void onItemClick(AdapterView<?> list, View view, int pos, long id) {
                if (contactoListener!=null) {
                	contactoListener.onContactoSeleccionado(
                        (Contacto)listaContactosLV.getAdapter().getItem(pos));
                }
            }
		});
    }
	
	public interface ContactoListener 
	{
        void onContactoSeleccionado(Contacto c);
    } 
	
	public void setContactoListener(ContactoListener contactoListener) 
	{
        this.contactoListener = contactoListener;
    }
	
	class AdapterListaContactos extends ArrayAdapter<Contacto> {
		 
        Activity context;

        AdapterListaContactos(Fragment context) {
            super(context.getActivity(), R.layout.list_item_contactos, contacto);
            this.context = context.getActivity();
        }

        public View getView(int position, View convertView, ViewGroup parent) {
        LayoutInflater inflater = context.getLayoutInflater();
        View item = inflater.inflate(R.layout.list_item_contactos, null);

        TextView tvNombre = (TextView)item.findViewById(R.id.tvNombre);
        tvNombre.setText(contacto[position].getNombre());

        TextView tvTelefono = (TextView)item.findViewById(R.id.tvTelefono);
        tvTelefono.setText(contacto[position].getTelefono());

        return(item);
    }
    }
}
