package com.academiaandroid.contactos;

//Ejemplo aplicacin Android para el uso de varios Fragments en la misma Activity
//
//academiaandroid.com
//
//by Jos Antonio Gzquez Rodrguez

//Se referencia la Clase FragmentLista para acceder a la interfaz definida. 
import com.academiaandroid.contactos.FragmentLista.ContactoListener;
import android.support.v4.app.FragmentActivity;
import android.os.Bundle;

/*La Clase MainActivity debe heredar de FragmentActivity, ya que se trata de la clase base para 
poder usar Fragments en una Activity*/
public class MainActivity extends FragmentActivity implements ContactoListener{
		
	@Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        //Se declara y enlaza la clase FragmentLista con el componente definido a nivel de layout
        FragmentLista frgListado =(FragmentLista)getSupportFragmentManager().findFragmentById(R.id.fragmentListaContactos);
        
        //Se realiza la llamada al mtodo setContactoListener() indicndolo como parmetro el contexto
        frgListado.setContactoListener(this);
	}
	
	//Mtodo que se ejecutar cuando se seleccione un contacto de la lista.
	@Override
	public void onContactoSeleccionado(Contacto c) {
		 boolean detalle = (getSupportFragmentManager().findFragmentById(R.id.fragmentInformacion) != null);
		 
		        if(detalle) {
		            ((FragmentInfoContacto)getSupportFragmentManager()
		                .findFragmentById(R.id.fragmentInformacion))
		                .mostrarDetalle("Nombre: " + c.getNombre() + "\nApellidos: " + c.getApellidos() 
		                		+ "\nTelfono: " + c.getTelefono() + "\nDireccin: " + c.getDireccion());
		        }		        
	}	
}
